/**************************************************************************

  EXAMPLE5.C

  Written by Bryan Wilkins (1996)

  The is an example program to illustrate how to use Varmint's Audio
  Tools to play .wav files while panning from left to right.
  The registered version and a SB16 or better are required.


**************************************************************************/

#include "vat.h"
#include <conio.h>


void main(void)
{
  int d;
                                          // You need two variables to keep
                                          // track of the data and an errorstring
                                          // for the loaded wave file.
  WAVE *sound1;
  char errstring[256];
                                          // You will also need one variable
                                          // for the sound handle if you want
                                          // to do anything with the sound
                                          // while it is playing.
  DWORD id1;

                                          // In general, it is good to perform
                                          // all file access before settup
                                          // up the sound blaster.
  sound1 = LoadWave("aha.wav",errstring);
  if(!sound1) printf("ERROR loading sound:  aha.wav\n");

                                           // Set up the sound blaster.
  if(!SBSetUp(11000,70)) {
    printf("SB_Setup returned this error: %s \n",errname[sberr]);
    if(sound1) FreeWave(sound1);
    exit(1);
  }

  GoVarmint();                            // Start up the sound Kernel.

  PlaySound(sound1,v_plain);              // Play a normal sound effect.

  printf("Press a key to continue.\n");
  getch();
                                          // Now let's play a sound effect
                                          // and use AlterSoundEffect to
                                          // change the panning while it
                                          // is playing.
  id1 = PlaySound(sound1,v_pan);
  for(d = 1; d < 60; d += 1) {
    AlterSoundEffect(id1,v_setpan,d);     // Change the panning value.
    MilliDelay(20);                       // Wait a few milliseconds.
  }

  printf("Press a key to quit.\n");
  getch();

  DropDeadVarmint();                      // Stop the SB interrupt.
  SBCleanUp();                            // Clean up sound stuff.
  if(sound1) FreeWave(sound1);            // Free our sound effect.
}
